Retrieve Prompt
curl --request GET \
--url https://platform.perso.ai/api/v1/prompt/{prompt_id}/ \
--header 'PersoPlatform-APIKey: <api-key>'import requests
url = "https://platform.perso.ai/api/v1/prompt/{prompt_id}/"
headers = {"PersoPlatform-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'PersoPlatform-APIKey': '<api-key>'}};
fetch('https://platform.perso.ai/api/v1/prompt/{prompt_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.perso.ai/api/v1/prompt/{prompt_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"PersoPlatform-APIKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.perso.ai/api/v1/prompt/{prompt_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("PersoPlatform-APIKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.perso.ai/api/v1/prompt/{prompt_id}/")
.header("PersoPlatform-APIKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.perso.ai/api/v1/prompt/{prompt_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["PersoPlatform-APIKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"prompt_id": "<string>",
"system_prompt": "<string>",
"description": "<string>",
"require_document": true,
"intro_message": "<string>"
}Session Resources
Retrieve Prompt
Retrieve a prompt by its unique identifier.
GET
/
api
/
v1
/
prompt
/
{prompt_id}
/
Retrieve Prompt
curl --request GET \
--url https://platform.perso.ai/api/v1/prompt/{prompt_id}/ \
--header 'PersoPlatform-APIKey: <api-key>'import requests
url = "https://platform.perso.ai/api/v1/prompt/{prompt_id}/"
headers = {"PersoPlatform-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'PersoPlatform-APIKey': '<api-key>'}};
fetch('https://platform.perso.ai/api/v1/prompt/{prompt_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.perso.ai/api/v1/prompt/{prompt_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"PersoPlatform-APIKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.perso.ai/api/v1/prompt/{prompt_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("PersoPlatform-APIKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.perso.ai/api/v1/prompt/{prompt_id}/")
.header("PersoPlatform-APIKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.perso.ai/api/v1/prompt/{prompt_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["PersoPlatform-APIKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"prompt_id": "<string>",
"system_prompt": "<string>",
"description": "<string>",
"require_document": true,
"intro_message": "<string>"
}Authorizations
Path Parameters
Response
Maximum string length:
100Instructions sent to the LLM at the start of every conversation using this prompt.
When require_document is True, the System prompt must include '{context}' string to be replaced with the document search result in the prompt.require_document 가 True 인 경우, 시스템 프롬프트는 '{context}' 문자열을 포함해야 하며, 해당 문자열은 프롬프트에서 문서 검색 결과로 대체됩니다.
First message the AI speaks when a session opens (optional).

